import { serverClient } from "@/lib/trpc/server"

import LanguageSwitcher from "@/components/Current/Header/LanguageSwitcher"

export default async function LanguageSwitcherRoute() {
  const data = await serverClient().contentstack.languageSwitcher.get()
  if (!data) {
    return null
  }
  return <LanguageSwitcher urls={data.urls} lang={data.lang} />
}
